#modname "Game Master"
#description "The purpose of this mod is to allow roleplay in order to create multiplayer scenarios. Specifically, this mod creates a nation known as 'another realm' for every era. This nation is provided with units capable of quickly attaining every spell, viewing the entire map, casting Gift of Reason on any unit, and wishing for any unit or item in the game. To use this mod properly, a nation should be created specifically for the
Game Master off of the map. An explanation of how to do this can be found in the dominions3/doc/mapedit section 6-1. Don't forget about the
readme file for usage tips."

The mod was built upon from a combination of Gandalf Parker's Watcher Mod with ryo_akashi's Debug Mod."
#version .02
#icon "gamemaster.tga"
#domversion 3.23b

--Red cloak
#newarmor 398
#name "Red Cloak"
#type 5
#prot 0
#def 0
#enc 0
#rcost 0
#end

--Units
--Game master early
#newmonster 2999
#name "Game Master"
-copystats 657
#copyspr 658
#speciallook 2
#ethereal
#unique
#descr "The renowned storyteller of the land, capable of weaving a great story, though only with divine inspiration."
#spreaddom -1
#mapmove 50
#flying
#stormimmune
#inanimate
#magicskill 0 9
#magicskill 1 9
#magicskill 2 9
#magicskill 3 9
#magicskill 4 9
#magicskill 5 9
#magicskill 6 9
#magicskill 7 9
#gemprod
#neednoteat
#onebattlespell "Returning"
#patrolbonus 100
#restrictedgod 94
#spy
#startage -1
#hp 1000
#prot 50
#size 6
#def 50
#gcost 0
#pathcost 10
#startdom 5
#amphibian
#stealthy 99
#awe 50
#castledef 50
#nobadevents 100
#researchbonus 200
#end

--Game master middle
#newmonster 2998
#name "Game Master"
-copystats 657
#copyspr 658
#speciallook 2
#ethereal
#unique
#descr "The renowned storyteller of the land, capable of weaving a great story, though only with divine inspiration."
#spreaddom -1
#mapmove 50
#flying
#stormimmune
#inanimate
#magicskill 0 9
#magicskill 1 9
#magicskill 2 9
#magicskill 3 9
#magicskill 4 9
#magicskill 5 9
#magicskill 6 9
#magicskill 7 9
#gemprod
#neednoteat
#onebattlespell "Returning"
#patrolbonus 100
#restrictedgod 93
#spy
#startage -1
#hp 1000
#prot 50
#size 6
#def 50
#gcost 0
#pathcost 10
#startdom 5
#amphibian
#stealthy 99
#awe 50
#castledef 50
#nobadevents 100
#researchbonus 200
#end

--Game master late
#newmonster 2997
#name "Game Master"
-copystats 657
#copyspr 658
#speciallook 2
#ethereal
#unique
#descr "The renowned storyteller of the land, capable of weaving a great story, though only with divine inspiration."
#spreaddom -1
#mapmove 50
#flying
#stormimmune
#inanimate
#magicskill 0 9
#magicskill 1 9
#magicskill 2 9
#magicskill 3 9
#magicskill 4 9
#magicskill 5 9
#magicskill 6 9
#magicskill 7 9
#gemprod
#neednoteat
#onebattlespell "Returning"
#patrolbonus 100
#restrictedgod 92
#spy
#startage -1
#hp 1000
#prot 50
#size 6
#def 50
#gcost 0
#pathcost 10
#startdom 5
#amphibian
#stealthy 99
#awe 50
#castledef 50
#nobadevents 100
#researchbonus 200
#end

--Game master decoy (to keep player nations from summoning too powerful units)
#newmonster 2995
#name "Game Master"
#copyspr 658
#hp 2
#size 1
#str 8
#enc 8
#att 8
#def 8
#prec 8
#mr 8
#mor 8
#immobile
#leper 40
#startaff 50
#armor "Red Cloak"
#end


--Implementer units (for wishing, casting gift of reason, etc)
#newmonster 2996
#name "Implementer"
#descr "The implementer is capable of casting any spell, he is primarily used for spellcasting and researching. It is best implementers stay
behind the scenes and don't get involved in battle."
#copystats 1070
#copyspr 1070
#magicskill 0 9
#magicskill 1 9
#magicskill 2 9
#magicskill 3 9
#magicskill 4 9
#magicskill 5 9
#magicskill 6 9
#magicskill 7 9
#researchbonus 200
#gcost 0
#rcost 0
#restricted 94
#restricted 93
#restricted 92
#end

--Implementer decoy
#newmonster 2994
#name "Implementer"
#copyspr 1070
#hp 2
#size 2
#str 8
#enc 8
#att 8
#def 8
#prec 8
#mr 8
#mor 8
#immobile
#leper 40
#startaff 50
#end

--Spells
--Game Master frequent spells

#newspell
#name "Send Troops"
#descr "Teleports troops and commander (except the game master) to any province."
#effect 10077
#nreff 1000
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#fatiguecost 0
#restricted 94
#restricted 93
#restricted 92
#end


--Summon implementer spell chain

#newspell
#name "Summon Implementers 1"
#descr "Summons 1 Implementer."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 2"
#descr "Summons 2 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 1"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 3"
#descr "Summons 3 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 2"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 4"
#descr "Summons 4 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 3"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 5"
#descr "Summons 5 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 4"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 6"
#descr "Summons 6 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 5"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 7"
#descr "Summons 7 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 6"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 8"
#descr "Summons 8 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 7"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 9"
#descr "Summons 9 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 8"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 10"
#descr "Summons 10 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 9"
#restricted 94
#restricted 93
#restricted 92
#end

#newspell
#name "Summon Implementers 11"
#descr "Summons 11 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 10"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 12"
#descr "Summons 12 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 11"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 13"
#descr "Summons 13 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 12"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 14"
#descr "Summons 14 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 13"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 15"
#descr "Summons 15 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 14"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 16"
#descr "Summons 16 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 15"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 17"
#descr "Summons 17 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 16"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 18"
#descr "Summons 18 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 17"
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#name "Summon Implementers 19"
#descr "Summons 19 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 18"
#restricted 94
#restricted 93
#restricted 92
#end

#newspell
#name "Summon Implementers 20"
#descr "Summons 20 Implementers."
#effect 10021
#nreff 1
#damage 2996
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#nextspell "Summon Implementers 19"
#restricted 94
#restricted 93
#restricted 92
#end



#newspell
#name "Return Commander"
#descr "Calls a commander back to home province."
#effect 10049
#damage 100
#school 0
#path 0 4
#pathlevel 0 0
#researchlevel 0
#fatiguecost 0
#restricted 94
#restricted 93
#restricted 92
#end

-- Debug code spells (restricted early)

------

#newspell
#copyspell "Gift of Reason"
#name "Super GoR"
#descr "Free casting of Gift of Reason"
#path 0 4
#school 0
#researchlevel 0
#pathlevel 0 1
#fatiguecost 0
#restricted 94
#restricted 93
#restricted 92
#end


#newspell
#copyspell "Wish"
#name "Super Wish"
#descr "Free wishes."
#path 0 4
#school 0
#researchlevel 0
#pathlevel 0 1
#fatiguecost 0
#restricted 94
#restricted 93
#restricted 92
#end

#newspell
#copyspell "The Eyes of God"
#name "The Eyes of Debug"
#descr "A cheaper The Eyes of God, costing one astral pearl. "
#path 0 4
#school 0
#researchlevel 0
#pathlevel 0 1
#fatiguecost 0
#restricted 94
#restricted 93
#restricted 92
#end

--Magic Sites
#newsite 998
#name "Elysium"
#level 0
#path 4
#rarity 5
#gems 0 99
#gems 1 99
#gems 2 99
#gems 3 99
#homecom 2345
#end

#newsite 997
#name "Pylon"
#level 0
#path 4
#gems 4 99
#gems 5 99
#gems 6 99
#gems 7 99
#end

#newsite 996
#name "Seraph Cave"
#level 0
#path 4
#rarity 5
#gems 0 99
#gems 1 99
#gems 2 99
#gems 3 99
#end

#newsite 995
#name "Wonder Forest"
#level 0
#path 4
#gems 4 99
#gems 5 99
#gems 6 99
#gems 7 99
#end




--Nations
-- Watcher Nation Early
#selectnation 94
#name "another realm"
#epithet "Great Bard"
#era 1
#color 163 239 177
#descr "In order to use this nation with all its benefits, select the Game Master pretender (bard). With this nation you will be able to
see the map, wish for whatever items you want, summon implementers to research and cast spells, cast  Gift of Reason on any commander,
have plenty of resources and gems, and oversee the storytelling elements of a multiplayer game. To use this nation properly, the nation should
start off of the game map. An explanation of how to do this can be found in the dominions3/doc/mapedit section 6-1. Also, usage of the #specstart
command (the nation numbers are 94 for Early Era, 93 for Middle Era, and 92 for Late Era) is explained in this documentation, and you will
surely need it. Don't forget about the readme file for usage tips, and if you are going to preside as Game Master, you should plan out exactly what will happen to players at what times."
#summary "The nation has absolutely no weaknesses. Unless, of course, its leader is a poor storyteller or a powermonger."
#brief "A nation for those in charge of a game's story."

#startfort 24
#defaultfort 00
#farmfort 00
#mountainfort 00
#forestfort 00
#swampfort 00

-clearsites
#startsite "Elysium"
#startsite "Pylon"
#startsite "Seraph Cave"
#startsite "Wonder Forest"

#addreccom 2996
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom

#addrecunit 2996
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit


#startcom 2996
#startscout 2996
#startunittype1 307
#startunitnbrs1 10
#startunittype2 308
#startunitnbrs2 10

-defcom1
-defcom2
-defunit1
-defunit1b
-defunit2
-defunit2b
-defmult1
-defmult1b
-defmult2
-defmult2b
#end

-- Watcher Nation Middle
#selectnation 93
#name "another realm"
#epithet "Great Bard"
#era 2
#color 163 239 177
#descr "In order to use this nation with all its benefits, select the Game Master pretender (bard). With this nation you will be able to
see the map, wish for whatever items you want, summon implementers to research and cast spells, cast  Gift of Reason on any commander,
have plenty of resources and gems, and oversee the storytelling elements of a multiplayer game. To use this nation properly, the nation should
start off of the game map. An explanation of how to do this can be found in the dominions3/doc/mapedit section 6-1. Also, usage of the #specstart
command (the nation numbers are 94 for Early Era, 93 for Middle Era, and 92 for Late Era) is explained in this documentation, and you will
surely need it. Don't forget about the readme file for usage tips, and if you are going to preside as Game Master, you should plan out exactly what will happen to players at what times."
#summary "The nation has absolutely no weaknesses. Unless, of course, its leader is a poor storyteller or a powermonger."
#brief "A nation for those in charge of a game's story."

#startfort 24
#defaultfort 00
#farmfort 00
#mountainfort 00
#forestfort 00
#swampfort 00

-clearsites
#startsite "Elysium"
#startsite "Pylon"
#startsite "Seraph Cave"
#startsite "Wonder Forest"

#addreccom 2996
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom

#addrecunit 2996
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit


#startcom 2996
#startscout 2996
#startunittype1 307
#startunitnbrs1 10
#startunittype2 308
#startunitnbrs2 10

-defcom1
-defcom2
-defunit1
-defunit1b
-defunit2
-defunit2b
-defmult1
-defmult1b
-defmult2
-defmult2b
#end

-- Watcher Nation Late
#selectnation 92
#name "another realm"
#epithet "Great Bard"
#era 3
#color 163 239 177
#descr "In order to use this nation with all its benefits, select the Game Master pretender (bard). With this nation you will be able to
see the map, wish for whatever items you want, summon implementers to research and cast spells, cast  Gift of Reason on any commander,
have plenty of resources and gems, and oversee the storytelling elements of a multiplayer game. To use this nation properly, the nation should
start off of the game map. An explanation of how to do this can be found in the dominions3/doc/mapedit section 6-1. Also, usage of the #specstart
command (the nation numbers are 94 for Early Era, 93 for Middle Era, and 92 for Late Era) is explained in this documentation, and you will
surely need it. Don't forget about the readme file for usage tips, and if you are going to preside as Game Master, you should plan out exactly what will happen to players at what times."
#summary "The nation has absolutely no weaknesses. Unless, of course, its leader is a poor storyteller or a powermonger."
#brief "A nation for those in charge of a game's story."

#startfort 24
#defaultfort 00
#farmfort 00
#mountainfort 00
#forestfort 00
#swampfort 00

-clearsites
#startsite "Elysium"
#startsite "Pylon"
#startsite "Seraph Cave"
#startsite "Wonder Forest"

#addreccom 2996
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom
-addreccom

#addrecunit 2996
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit
-addrecunit


#startcom 2996
#startscout 2996
#startunittype1 307
#startunitnbrs1 10
#startunittype2 308
#startunitnbrs2 10

-defcom1
-defcom2
-defunit1
-defunit1b
-defunit2
-defunit2b
-defmult1
-defmult1b
-defmult2
-defmult2b
#end



